from numpy import genfromtxt

from features.arithmetic_mean import arithmetic_mean
from features.median import median
from korpus.bewegung import Bewegung
from korpus.messung import Messung
from korpus.sensor import Sensor


def create_bewegung(type):
    sensornames = ['Acc_X', 'Acc_Y', 'Acc_Z', 'Gyr_X', 'Gyr_Y', 'Gyr_Z', 'Mag_X', 'Mag_Y', 'Mag_Z']
    messungen = []
    anzahl = None
    zeit = None
    for i in range(0, 6):
        data = genfromtxt(f"..\\..\\daten\\{type}\\{type}_sensor{i + 1}.csv", delimiter=',',
                          usecols=(1, 2, 3, 4, 5, 6, 7, 8, 9), skip_header=5)
        sensoren = []
        for j in range(0, 9):
            sensoren.append(Sensor(sensornames[j], data.transpose()[j]))
        messungen.append(Messung(f"Sensor {i + 1}", sensoren))
        anzahl = len(data)
        zeit = anzahl / 100
    return Bewegung(type, messungen, anzahl, zeit)